Subject: [PATCH] PCI: keystone: add a pci quirk to limit mrrs

From: [email-masked] (Murali Karicheri)
Date: Wed, 6 Aug 2014 13:09:41 -0400

On 08/06/2014 12:58 PM, Jason Gunthorpe wrote:
> On Wed, Aug 06, 2014 at 12:56:04PM -0400, Murali Karicheri wrote:
>> On 08/06/2014 12:30 PM, Jason Gunthorpe wrote:
>>> On Wed, Aug 06, 2014 at 11:18:20AM -0400, Murali Karicheri wrote:
>>>> Keystone PCI controller has a limitation that memory read request
>>>> size must not exceed 256 bytes. This is a hardware limitation and
>>>> add a quirk to force this limit on all downstream devices by
>>>> updating mrrs.
>>>
>>> Does this still work if the tuning is enabled, or does the tuning run
>>> after this?
>>
>> Yes it works with tuning enabled. Tuning happens afterwards. The
>> 'limiting mrrs to 256' below is from my patch.
>
> That seems backwards to me...
Rational? The tuning is reading mrrs and set mps to less than or equal 
to mrss. So adding this before make sure mrrs used is below keystones's 
limit.

Murali
> Jason